Skip to main content
PUT
/
memberships
/
cp
/
api
/
subscription-contract-one-offs-by-contractId-and-billing-attempt-id
Add or update one-off item
curl --request PUT \
  --url https://www.myshop.com/apps/memberships/cp/api/subscription-contract-one-offs-by-contractId-and-billing-attempt-id
[
  {
    "shop": "my-store.myshopify.com",
    "id": 789,
    "billingAttemptId": 123,
    "subscriptionContractId": 123,
    "variantId": 123,
    "variantHandle": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

shop
string
required
contractId
integer<int64>
required
billingAttemptId
integer<int64>
required
variantId
integer<int64>
required
variantHandle
string
required

Response

200 - */*

OK

shop
string
required

Shop domain identifier

Example:

"my-store.myshopify.com"

id
integer<int64>

Unique identifier of the one-off item

Example:

789

billingAttemptId
integer<int64>

Associated billing attempt ID

subscriptionContractId
integer<int64>

Associated subscription contract ID

variantId
integer<int64>

Shopify product variant ID of the one-off item

variantHandle
string

Product variant handle for the one-off item